diff --git a/libRTI/hla-1_3/RTIambassador.cc b/libRTI/hla-1_3/RTIambassador.cc
index bd3c552d..a3f110ff 100644
--- a/libRTI/hla-1_3/RTIambassador.cc
+++ b/libRTI/hla-1_3/RTIambassador.cc
@@ -67,7 +67,7 @@ static PrettyDebug G("GENDOC", __FILE__);
 
 using namespace certi;
 
-std::vector<certi::RegionHandle> build_region_handles(RTI::Region** regions, int nb) throw(RTI::RegionNotKnown)
+std::vector<certi::RegionHandle> build_region_handles(RTI::Region** regions, int nb)
 {
     std::vector<certi::RegionHandle> vect(nb);
     for (int i = 0; i < nb; ++i) {
@@ -82,7 +82,7 @@ std::vector<certi::RegionHandle> build_region_handles(RTI::Region** regions, int
     return vect;
 } /* end of build_region_handles */
 
-RTI::Handle get_handle(const RTI::Region& region) throw(RTI::RegionNotKnown, RTI::RTIinternalError)
+RTI::Handle get_handle(const RTI::Region& region)
 {
     try {
         return dynamic_cast<const RegionImp&>(region).getHandle();
@@ -93,7 +93,7 @@ RTI::Handle get_handle(const RTI::Region& region) throw(RTI::RegionNotKnown, RTI
     throw RTI::RTIinternalError("");
 } /* end of get_handle */
 
-char* hla_strdup(const std::string& s) throw(RTI::RTIinternalError)
+char* hla_strdup(const std::string& s)
 {
     try {
         size_t len = s.length();
@@ -155,7 +155,7 @@ void assignPHVPSToRequest(const std::vector<std::pair<RTI::ParameterHandle, Para
   This process connects to rtia after one second delay (UNIX socket).
  */
 
-RTI::RTIambassador::RTIambassador() throw(RTI::MemoryExhausted, RTI::RTIinternalError)
+RTI::RTIambassador::RTIambassador()
 {
     Debug(G, pdGendoc) << "enter RTIambassador::RTIambassador" << std::endl;
     PrettyDebug::setFederateName("LibRTI::UnjoinedFederate");
@@ -340,7 +340,7 @@ RTI::RTIambassador::RTIambassador() throw(RTI::MemoryExhausted, RTI::RTIinternal
 //! Closes processes.
 /*! When destructor is called, kill rtia process.
  */
-RTI::RTIambassador::~RTIambassador() throw(RTI::RTIinternalError)
+RTI::RTIambassador::~RTIambassador()
 {
     M_Close_Connexion req, rep;
 
@@ -354,9 +354,7 @@ RTI::RTIambassador::~RTIambassador() throw(RTI::RTIinternalError)
 }
 
 // ----------------------------------------------------------------------------
-RTI::Boolean RTI::RTIambassador::tick() throw(RTI::SpecifiedSaveLabelDoesNotExist,
-                                              RTI::ConcurrentAccessAttempted,
-                                              RTI::RTIinternalError)
+RTI::Boolean RTI::RTIambassador::tick()
 {
 #if defined(LEGACY_LIBRTI)
     __tick_kernel(RTI_FALSE, 0.0, 0.0);
@@ -370,17 +368,14 @@ RTI::Boolean RTI::RTIambassador::tick() throw(RTI::SpecifiedSaveLabelDoesNotExis
 }
 
 // ----------------------------------------------------------------------------
-RTI::Boolean RTI::RTIambassador::tick2() throw(RTI::SpecifiedSaveLabelDoesNotExist,
-                                               RTI::ConcurrentAccessAttempted,
-                                               RTI::RTIinternalError)
+RTI::Boolean RTI::RTIambassador::tick2()
 {
     __tick_kernel(RTI_FALSE, std::numeric_limits<double>::infinity(), 0.0);
     return RTI_FALSE;
 }
 
 // ----------------------------------------------------------------------------
-RTI::Boolean RTI::RTIambassador::__tick_kernel(RTI::Boolean multiple, TickTime minimum, TickTime maximum) throw(
-    RTI::SpecifiedSaveLabelDoesNotExist, RTI::ConcurrentAccessAttempted, RTI::RTIinternalError)
+RTI::Boolean RTI::RTIambassador::__tick_kernel(RTI::Boolean multiple, TickTime minimum, TickTime maximum)
 {
     M_Tick_Request vers_RTI;
     std::unique_ptr<Message> vers_Fed;
@@ -450,16 +445,14 @@ RTI::Boolean RTI::RTIambassador::__tick_kernel(RTI::Boolean multiple, TickTime m
 }
 
 // ----------------------------------------------------------------------------
-RTI::Boolean RTI::RTIambassador::tick(TickTime minimum, TickTime maximum) throw(RTI::SpecifiedSaveLabelDoesNotExist,
-                                                                                RTI::ConcurrentAccessAttempted,
-                                                                                RTI::RTIinternalError)
+RTI::Boolean RTI::RTIambassador::tick(TickTime minimum, TickTime maximum)
 {
     return __tick_kernel(RTI_TRUE, minimum, maximum);
 }
 
 #ifdef CERTI_REALTIME_EXTENSIONS
 // ----------------------------------------------------------------------------
-void RTI::RTIambassador::setPriorityforRTIAProcess(int priority, unsigned int sched_type) throw(RTIinternalError)
+void RTI::RTIambassador::setPriorityforRTIAProcess(int priority, unsigned int sched_type)
 {
 #ifdef _WIN32
     throw RTIinternalError("Not Implemented on Windows");
@@ -483,7 +476,7 @@ void RTI::RTIambassador::setPriorityforRTIAProcess(int priority, unsigned int sc
 }
 
 // ----------------------------------------------------------------------------
-void RTI::RTIambassador::setAffinityforRTIAProcess(cpu_set_t mask) throw(RTIinternalError)
+void RTI::RTIambassador::setAffinityforRTIAProcess(cpu_set_t mask)
 {
 #ifdef _WIN32
     throw RTIinternalError("Not Implemented on Windows");
@@ -496,20 +489,14 @@ void RTI::RTIambassador::setAffinityforRTIAProcess(cpu_set_t mask) throw(RTIinte
 
 // ----------------------------------------------------------------------------
 //! Get Region Token.
-RTI::RegionToken RTI::RTIambassador::getRegionToken(Region* region) throw(RTI::FederateNotExecutionMember,
-                                                                          RTI::ConcurrentAccessAttempted,
-                                                                          RTI::RegionNotKnown,
-                                                                          RTI::RTIinternalError)
+RTI::RegionToken RTI::RTIambassador::getRegionToken(Region* region)
 {
     return get_handle(*region);
 }
 
 // ----------------------------------------------------------------------------
 //! Get Region.
-RTI::Region* RTI::RTIambassador::getRegion(RegionToken) throw(RTI::FederateNotExecutionMember,
-                                                              RTI::ConcurrentAccessAttempted,
-                                                              RTI::RegionNotKnown,
-                                                              RTI::RTIinternalError)
+RTI::Region* RTI::RTIambassador::getRegion(RegionToken)
 {
     throw RTI::RTIinternalError("unimplemented service getRegion");
 }
@@ -526,11 +513,7 @@ RTI::Region* RTI::RTIambassador::getRegion(RegionToken) throw(RTI::FederateNotEx
 void
     //RTI::
     RTI::RTIambassador::createFederationExecution(const char* executionName,
-                                                  const char* FED) throw(RTI::RTIinternalError,
-                                                                         RTI::ConcurrentAccessAttempted,
-                                                                         RTI::ErrorReadingFED,
-                                                                         RTI::CouldNotOpenFED,
-                                                                         RTI::FederationExecutionAlreadyExists)
+                                                  const char* FED)
 {
     Debug(G, pdGendoc) << "enter RTIambassador::createFederationExecution" << std::endl;
 
@@ -558,11 +541,7 @@ void
     execution from the RTI set of federation executions.
     \param executionName execution name of the federation to be destroyed
  */
-void RTI::RTIambassador::destroyFederationExecution(const char* executionName) throw(
-    RTI::RTIinternalError,
-    RTI::ConcurrentAccessAttempted,
-    RTI::FederationExecutionDoesNotExist,
-    RTI::FederatesCurrentlyJoined)
+void RTI::RTIambassador::destroyFederationExecution(const char* executionName)
 {
     M_Destroy_Federation_Execution req, rep;
 
@@ -582,14 +561,7 @@ void RTI::RTIambassador::destroyFederationExecution(const char* executionName) t
 RTI::FederateHandle
 RTI::RTIambassador::joinFederationExecution(const char* yourName,
                                             const char* executionName,
-                                            FederateAmbassadorPtr fedamb) throw(RTI::RTIinternalError,
-                                                                                RTI::RestoreInProgress,
-                                                                                RTI::SaveInProgress,
-                                                                                RTI::ConcurrentAccessAttempted,
-                                                                                RTI::ErrorReadingFED,
-                                                                                RTI::CouldNotOpenFED,
-                                                                                RTI::FederationExecutionDoesNotExist,
-                                                                                RTI::FederateAlreadyExecutionMember)
+                                            FederateAmbassadorPtr fedamb)
 {
     M_Join_Federation_Execution_V4 req, rep;
 
@@ -621,11 +593,7 @@ RTI::RTIambassador::joinFederationExecution(const char* yourName,
 
 // ----------------------------------------------------------------------------
 //! Resign Federation Execution.
-void RTI::RTIambassador::resignFederationExecution(ResignAction theAction) throw(RTI::FederateOwnsAttributes,
-                                                                                 RTI::FederateNotExecutionMember,
-                                                                                 RTI::InvalidResignAction,
-                                                                                 RTI::ConcurrentAccessAttempted,
-                                                                                 RTI::RTIinternalError)
+void RTI::RTIambassador::resignFederationExecution(ResignAction theAction)
 {
     M_Resign_Federation_Execution req, rep;
 
@@ -639,12 +607,7 @@ void RTI::RTIambassador::resignFederationExecution(ResignAction theAction) throw
     Debug(G, pdGendoc) << "exit RTIambassador::resignFederationExecution" << std::endl;
 }
 
-void RTI::RTIambassador::registerFederationSynchronizationPoint(const char* label, const char* the_tag) throw(
-    RTI::FederateNotExecutionMember,
-    RTI::ConcurrentAccessAttempted,
-    RTI::SaveInProgress,
-    RTI::RestoreInProgress,
-    RTI::RTIinternalError)
+void RTI::RTIambassador::registerFederationSynchronizationPoint(const char* label, const char* the_tag)
 {
     M_Register_Federation_Synchronization_Point req, rep;
 
@@ -665,11 +628,7 @@ void RTI::RTIambassador::registerFederationSynchronizationPoint(const char* labe
 } /* end of RTI::RTIambassador::registerFederationSynchronizationPoint */
 
 void RTI::RTIambassador::registerFederationSynchronizationPoint(
-    const char* label, const char* theTag, const FederateHandleSet& set_of_fed) throw(RTI::RTIinternalError,
-                                                                                      RTI::RestoreInProgress,
-                                                                                      RTI::SaveInProgress,
-                                                                                      RTI::ConcurrentAccessAttempted,
-                                                                                      RTI::FederateNotExecutionMember)
+    const char* label, const char* theTag, const FederateHandleSet& set_of_fed)
 {
     M_Register_Federation_Synchronization_Point req, rep;
 
@@ -698,13 +657,7 @@ void RTI::RTIambassador::registerFederationSynchronizationPoint(
 
 // ----------------------------------------------------------------------------
 //! Synchronization Point Achieved
-void RTI::RTIambassador::synchronizationPointAchieved(const char* label) throw(
-    RTI::SynchronizationPointLabelWasNotAnnounced,
-    RTI::FederateNotExecutionMember,
-    RTI::ConcurrentAccessAttempted,
-    RTI::SaveInProgress,
-    RTI::RestoreInProgress,
-    RTI::RTIinternalError)
+void RTI::RTIambassador::synchronizationPointAchieved(const char* label)
 {
     M_Synchronization_Point_Achieved req, rep;
 
@@ -720,13 +673,7 @@ void RTI::RTIambassador::synchronizationPointAchieved(const char* label) throw(
 // ----------------------------------------------------------------------------
 //! Request Federation Save with time.
 void RTI::RTIambassador::requestFederationSave(const char* label,
-                                               const RTI::FedTime& theTime) throw(RTI::FederationTimeAlreadyPassed,
-                                                                                  RTI::InvalidFederationTime,
-                                                                                  RTI::FederateNotExecutionMember,
-                                                                                  RTI::ConcurrentAccessAttempted,
-                                                                                  RTI::SaveInProgress,
-                                                                                  RTI::RestoreInProgress,
-                                                                                  RTI::RTIinternalError)
+                                               const RTI::FedTime& theTime)
 {
     M_Request_Federation_Save req, rep;
 
@@ -743,11 +690,7 @@ void RTI::RTIambassador::requestFederationSave(const char* label,
 
 // ----------------------------------------------------------------------------
 //! Request Federation Save without time.
-void RTI::RTIambassador::requestFederationSave(const char* label) throw(RTI::FederateNotExecutionMember,
-                                                                        RTI::ConcurrentAccessAttempted,
-                                                                        RTI::SaveInProgress,
-                                                                        RTI::RestoreInProgress,
-                                                                        RTI::RTIinternalError)
+void RTI::RTIambassador::requestFederationSave(const char* label)
 {
     M_Request_Federation_Save req, rep;
 
@@ -762,11 +705,7 @@ void RTI::RTIambassador::requestFederationSave(const char* label) throw(RTI::Fed
 
 // ----------------------------------------------------------------------------
 //! Federate Save Begun.
-void RTI::RTIambassador::federateSaveBegun() throw(RTI::SaveNotInitiated,
-                                                   RTI::FederateNotExecutionMember,
-                                                   RTI::ConcurrentAccessAttempted,
-                                                   RTI::RestoreInProgress,
-                                                   RTI::RTIinternalError)
+void RTI::RTIambassador::federateSaveBegun()
 {
     M_Federate_Save_Begun req, rep;
 
@@ -780,11 +719,7 @@ void RTI::RTIambassador::federateSaveBegun() throw(RTI::SaveNotInitiated,
 
 // ----------------------------------------------------------------------------
 //! Federate Save Complete.
-void RTI::RTIambassador::federateSaveComplete() throw(RTI::SaveNotInitiated,
-                                                      RTI::FederateNotExecutionMember,
-                                                      RTI::ConcurrentAccessAttempted,
-                                                      RTI::RestoreInProgress,
-                                                      RTI::RTIinternalError)
+void RTI::RTIambassador::federateSaveComplete()
 {
     M_Federate_Save_Complete req, rep;
 
@@ -796,11 +731,7 @@ void RTI::RTIambassador::federateSaveComplete() throw(RTI::SaveNotInitiated,
 
 // ----------------------------------------------------------------------------
 // Federate Save Not Complete.
-void RTI::RTIambassador::federateSaveNotComplete() throw(RTI::SaveNotInitiated,
-                                                         RTI::FederateNotExecutionMember,
-                                                         RTI::ConcurrentAccessAttempted,
-                                                         RTI::RestoreInProgress,
-                                                         RTI::RTIinternalError)
+void RTI::RTIambassador::federateSaveNotComplete()
 {
     M_Federate_Save_Not_Complete req, rep;
 
@@ -813,11 +744,7 @@ void RTI::RTIambassador::federateSaveNotComplete() throw(RTI::SaveNotInitiated,
 
 // ----------------------------------------------------------------------------
 //! Request Restore.
-void RTI::RTIambassador::requestFederationRestore(const char* label) throw(RTI::RTIinternalError,
-                                                                           RTI::RestoreInProgress,
-                                                                           RTI::SaveInProgress,
-                                                                           RTI::ConcurrentAccessAttempted,
-                                                                           RTI::FederateNotExecutionMember)
+void RTI::RTIambassador::requestFederationRestore(const char* label)
 {
     M_Request_Federation_Restore req, rep;
 
@@ -830,11 +757,7 @@ void RTI::RTIambassador::requestFederationRestore(const char* label) throw(RTI::
 
 // ----------------------------------------------------------------------------
 //! Restore Complete.
-void RTI::RTIambassador::federateRestoreComplete() throw(RTI::RTIinternalError,
-                                                         RTI::SaveInProgress,
-                                                         RTI::ConcurrentAccessAttempted,
-                                                         RTI::FederateNotExecutionMember,
-                                                         RTI::RestoreNotRequested)
+void RTI::RTIambassador::federateRestoreComplete()
 {
     M_Federate_Restore_Complete req, rep;
 
@@ -847,11 +770,7 @@ void RTI::RTIambassador::federateRestoreComplete() throw(RTI::RTIinternalError,
 
 // ----------------------------------------------------------------------------
 //! Federate Restore Not Complete.
-void RTI::RTIambassador::federateRestoreNotComplete() throw(RTI::RTIinternalError,
-                                                            RTI::SaveInProgress,
-                                                            RTI::ConcurrentAccessAttempted,
-                                                            RTI::FederateNotExecutionMember,
-                                                            RTI::RestoreNotRequested)
+void RTI::RTIambassador::federateRestoreNotComplete()
 {
     M_Federate_Restore_Not_Complete req, rep;
 
@@ -864,15 +783,7 @@ void RTI::RTIambassador::federateRestoreNotComplete() throw(RTI::RTIinternalErro
 
 // ----------------------------------------------------------------------------
 // Publish Object Class
-void RTI::RTIambassador::publishObjectClass(ObjectClassHandle theClass, const AttributeHandleSet& attributeList) throw(
-    RTI::RTIinternalError,
-    RTI::RestoreInProgress,
-    RTI::SaveInProgress,
-    RTI::ConcurrentAccessAttempted,
-    RTI::FederateNotExecutionMember,
-    RTI::OwnershipAcquisitionPending,
-    RTI::AttributeNotDefined,
-    RTI::ObjectClassNotDefined)
+void RTI::RTIambassador::publishObjectClass(ObjectClassHandle theClass, const AttributeHandleSet& attributeList)
 {
     M_Publish_Object_Class req, rep;
     const std::vector<unsigned long>& AHSI = certi_cast<AttributeHandleSetImp>()(attributeList).getAttributeHandles();
@@ -890,14 +801,7 @@ void RTI::RTIambassador::publishObjectClass(ObjectClassHandle theClass, const At
 
 // ----------------------------------------------------------------------------
 // UnPublish Object Class
-void RTI::RTIambassador::unpublishObjectClass(ObjectClassHandle theClass) throw(RTI::RTIinternalError,
-                                                                                RTI::RestoreInProgress,
-                                                                                RTI::SaveInProgress,
-                                                                                RTI::ConcurrentAccessAttempted,
-                                                                                RTI::FederateNotExecutionMember,
-                                                                                RTI::OwnershipAcquisitionPending,
-                                                                                RTI::ObjectClassNotPublished,
-                                                                                RTI::ObjectClassNotDefined)
+void RTI::RTIambassador::unpublishObjectClass(ObjectClassHandle theClass)
 {
     M_Unpublish_Object_Class req, rep;
 
@@ -910,13 +814,7 @@ void RTI::RTIambassador::unpublishObjectClass(ObjectClassHandle theClass) throw(
 
 // ----------------------------------------------------------------------------
 // Publish Interaction Class
-void RTI::RTIambassador::publishInteractionClass(InteractionClassHandle theInteraction) throw(
-    RTI::RTIinternalError,
-    RTI::RestoreInProgress,
-    RTI::SaveInProgress,
-    RTI::ConcurrentAccessAttempted,
-    RTI::FederateNotExecutionMember,
-    RTI::InteractionClassNotDefined)
+void RTI::RTIambassador::publishInteractionClass(InteractionClassHandle theInteraction)
 {
     M_Publish_Interaction_Class req, rep;
 
@@ -927,14 +825,7 @@ void RTI::RTIambassador::publishInteractionClass(InteractionClassHandle theInter
 
 // ----------------------------------------------------------------------------
 // Publish Interaction Class
-void RTI::RTIambassador::unpublishInteractionClass(InteractionClassHandle theInteraction) throw(
-    RTI::RTIinternalError,
-    RTI::RestoreInProgress,
-    RTI::SaveInProgress,
-    RTI::ConcurrentAccessAttempted,
-    RTI::FederateNotExecutionMember,
-    RTI::InteractionClassNotPublished,
-    RTI::InteractionClassNotDefined)
+void RTI::RTIambassador::unpublishInteractionClass(InteractionClassHandle theInteraction)
 {
     M_Unpublish_Interaction_Class req, rep;
 
@@ -946,13 +837,7 @@ void RTI::RTIambassador::unpublishInteractionClass(InteractionClassHandle theInt
 // Subscribe Object Class Attributes
 void RTI::RTIambassador::subscribeObjectClassAttributes(ObjectClassHandle theClass,
                                                         const AttributeHandleSet& attributeList,
-                                                        RTI::Boolean active) throw(RTI::RTIinternalError,
-                                                                                   RTI::RestoreInProgress,
-                                                                                   RTI::SaveInProgress,
-                                                                                   RTI::ConcurrentAccessAttempted,
-                                                                                   RTI::FederateNotExecutionMember,
-                                                                                   RTI::AttributeNotDefined,
-                                                                                   RTI::ObjectClassNotDefined)
+                                                        RTI::Boolean active)
 {
     M_Subscribe_Object_Class_Attributes req, rep;
     Debug(G, pdGendoc) << "enter RTIambassador::subscribeObjectClassAttributes" << std::endl;
@@ -971,13 +856,7 @@ void RTI::RTIambassador::subscribeObjectClassAttributes(ObjectClassHandle theCla
 
 // ----------------------------------------------------------------------------
 // UnSubscribe Object Class Attribute
-void RTI::RTIambassador::unsubscribeObjectClass(ObjectClassHandle theClass) throw(RTI::RTIinternalError,
-                                                                                  RTI::RestoreInProgress,
-                                                                                  RTI::SaveInProgress,
-                                                                                  RTI::ConcurrentAccessAttempted,
-                                                                                  RTI::FederateNotExecutionMember,
-                                                                                  RTI::ObjectClassNotSubscribed,
-                                                                                  RTI::ObjectClassNotDefined)
+void RTI::RTIambassador::unsubscribeObjectClass(ObjectClassHandle theClass)
 {
     M_Unsubscribe_Object_Class req, rep;
 
@@ -988,13 +867,7 @@ void RTI::RTIambassador::unsubscribeObjectClass(ObjectClassHandle theClass) thro
 // ----------------------------------------------------------------------------
 // Subscribe Interaction Class
 void RTI::RTIambassador::subscribeInteractionClass(InteractionClassHandle theClass,
-                                                   RTI::Boolean /*active*/) throw(RTI::RTIinternalError,
-                                                                                  RTI::RestoreInProgress,
-                                                                                  RTI::SaveInProgress,
-                                                                                  RTI::FederateLoggingServiceCalls,
-                                                                                  RTI::ConcurrentAccessAttempted,
-                                                                                  RTI::FederateNotExecutionMember,
-                                                                                  RTI::InteractionClassNotDefined)
+                                                   RTI::Boolean /*active*/)
 {
     M_Subscribe_Interaction_Class req, rep;
     req.setInteractionClass(theClass);
@@ -1003,14 +876,7 @@ void RTI::RTIambassador::subscribeInteractionClass(InteractionClassHandle theCla
 
 // ----------------------------------------------------------------------------
 // UnSubscribe Interaction Class
-void RTI::RTIambassador::unsubscribeInteractionClass(InteractionClassHandle theClass) throw(
-    RTI::RTIinternalError,
-    RTI::RestoreInProgress,
-    RTI::SaveInProgress,
-    RTI::ConcurrentAccessAttempted,
-    RTI::FederateNotExecutionMember,
-    RTI::InteractionClassNotSubscribed,
-    RTI::InteractionClassNotDefined)
+void RTI::RTIambassador::unsubscribeInteractionClass(InteractionClassHandle theClass)
 {
     M_Unsubscribe_Interaction_Class req, rep;
 
@@ -1022,14 +888,7 @@ void RTI::RTIambassador::unsubscribeInteractionClass(InteractionClassHandle theC
 // Register Object
 RTI::ObjectHandle
 RTI::RTIambassador::registerObjectInstance(ObjectClassHandle theClass,
-                                           const char* theObjectName) throw(RTI::RTIinternalError,
-                                                                            RTI::RestoreInProgress,
-                                                                            RTI::SaveInProgress,
-                                                                            RTI::ConcurrentAccessAttempted,
-                                                                            RTI::FederateNotExecutionMember,
-                                                                            RTI::ObjectAlreadyRegistered,
-                                                                            RTI::ObjectClassNotPublished,
-                                                                            RTI::ObjectClassNotDefined)
+                                           const char* theObjectName)
 {
     M_Register_Object_Instance req, rep;
 
@@ -1042,13 +901,7 @@ RTI::RTIambassador::registerObjectInstance(ObjectClassHandle theClass,
 
 // ----------------------------------------------------------------------------
 RTI::ObjectHandle
-RTI::RTIambassador::registerObjectInstance(ObjectClassHandle theClass) throw(RTI::RTIinternalError,
-                                                                             RTI::RestoreInProgress,
-                                                                             RTI::SaveInProgress,
-                                                                             RTI::ConcurrentAccessAttempted,
-                                                                             RTI::FederateNotExecutionMember,
-                                                                             RTI::ObjectClassNotPublished,
-                                                                             RTI::ObjectClassNotDefined)
+RTI::RTIambassador::registerObjectInstance(ObjectClassHandle theClass)
 {
     M_Register_Object_Instance req, rep;
 
@@ -1063,15 +916,7 @@ RTI::EventRetractionHandle
 RTI::RTIambassador::updateAttributeValues(ObjectHandle theObject,
                                           const AttributeHandleValuePairSet& theAttributes,
                                           const RTI::FedTime& theTime,
-                                          const char* theTag) throw(RTI::ObjectNotKnown,
-                                                                    RTI::AttributeNotDefined,
-                                                                    RTI::AttributeNotOwned,
-                                                                    RTI::InvalidFederationTime,
-                                                                    RTI::FederateNotExecutionMember,
-                                                                    RTI::ConcurrentAccessAttempted,
-                                                                    RTI::SaveInProgress,
-                                                                    RTI::RestoreInProgress,
-                                                                    RTI::RTIinternalError)
+                                          const char* theTag)
 {
     Debug(G, pdGendoc) << "enter RTIambassador::updateAttributeValues with time" << std::endl;
     M_Update_Attribute_Values req, rep;
@@ -1104,14 +949,7 @@ RTI::RTIambassador::updateAttributeValues(ObjectHandle theObject,
 // ----------------------------------------------------------------------------
 void RTI::RTIambassador::updateAttributeValues(ObjectHandle the_object,
                                                const AttributeHandleValuePairSet& theAttributes,
-                                               const char* theTag) throw(RTI::RTIinternalError,
-                                                                         RTI::RestoreInProgress,
-                                                                         RTI::SaveInProgress,
-                                                                         RTI::ConcurrentAccessAttempted,
-                                                                         RTI::FederateNotExecutionMember,
-                                                                         RTI::AttributeNotOwned,
-                                                                         RTI::AttributeNotDefined,
-                                                                         RTI::ObjectNotKnown)
+                                               const char* theTag)
 {
     Debug(G, pdGendoc) << "enter RTIambassador::updateAttributeValues without time" << std::endl;
     M_Update_Attribute_Values req, rep;
